---
title: Setup
description: 
published: true
date: 2024-08-17T19:52:13.034Z
tags: 
editor: markdown
dateCreated: 2023-02-16T21:10:44.132Z
---

# Plugin installation
1. Make sure you have [ProtocolLib](https://www.spigotmc.org/resources/protocollib.1997/) installed. Optionally also install [Vault](https://dev.bukkit.org/projects/vault) and an economy manager (like [EssentialsX](https://essentialsx.net/downloads.html)) to use economy.
2. Download the plugin on [Spigot](https://www.spigotmc.org/resources/50-off-vehiclesplus-1-12-1-19.70523/) or [Polymart](https://polymart.org/resource/vehiclesplus-1-12-1-19.633)
3. Put the JAR file into your `/plugins` folder.
4. Restart your server.

# Resourcepack download
We provide an **example** resourcepack to use with our plugin (and the provided example vehicles). We recommend creating your own resourcepack, so that you can add more custom vehicles.

| Version | Download | SHA1 Hash |
|:---:|:---:|---|
| 1.13.2 - 1.14.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.13.2-1.14.4.zip) | `29ef695bd252e3811bb5775b8ae457c444067fe2` |
| 1.15.2 - 1.16.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.15.2-1.16.1.zip) | `7459ba87c77bc30988b1f6001657792b1bde9d47` |
| 1.16.2 - 1.16.5 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.16.2-1.16.5.zip) | `4fc1b9eba24119110f114becd67eb8e427445ec6` |
| 1.17 - 1.17.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.17-1.17.1.zip) | `67e5007006650c5efe32cd09216b388f31053866` |
| 1.18 - 1.18.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.18-1.18.2.zip) | `23fe227c7abcdd3525bb575858755c7c9f866a4f` |
| 1.19 - 1.19.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19-1.19.2.zip) | `8e48fe67530f88ff84666c6cf566551b229caad2` |
| 1.19.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.3.zip) | `81def0ba3809eed7a85e24b1505dcff7165e716a` |
| 1.19.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.19.4.zip) | `3f3493ebcca33766ba87d7f9b30b63dcad871bd7` |
| 1.20 - 1.20.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20-1.20.1.zip) | `cf18ace559ffd5e5386b3ec59d213a14590c71af` |
| 1.20.2 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.2.zip) | `ec8104b912eef34c342b590b1a2bead7f5de5b72` |
| 1.20.3 - 1.20.4 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.3-1.20.4.zip) | `62c0c50ba7452d6ed344b10dd811e1fc41cae4a9` |
| 1.20.5 - 1.20.6 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.20.5-1.20.6.zip) | `f276eeecc5ac67d7d4c8a2ec4a554031a4258fbd` |
| 1.21 - 1.21.1 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21-1.21.1.zip) | `d6ca0b91d6edf6057d51761774b3a135f9b64167` |
| 1.21.2 - 1.21.3 | [Click here](https://git.sbdevelopment.tech/SBDevelopment/VehiclesPlus/raw/branch/master/ResourcePacks/Examples-v3/VPExample-v3-1.21.2-1.21.3.zip) | `b07668f480d325190ded7025e6839f61f1bde800` |

## Using our example pack as server resourcepack
It's also possible to use our example pack as your server resourcepack.

1. Open the `server.properties` file.
2. Copy the link of the [Click here](#) button for your server version and paste it after `resource-pack=`.
3. Copy the SHA1 hash for your server version and paste it after `resource-pack-sha1=`.